module PersonalProject
  class Engine < Rails::Engine
  	initializer "personal_project" do
  		OrbitApp.registration "PersonalProject",:type=> 'ModuleApp' do
			module_label 'module_name.personal_project'  
			base_url File.expand_path File.dirname(__FILE__)    
			personal_plugin :enable => true, :sort_number => '15', :app_name=>"Project", :intro_app_name=>"PersonalProjectIntro",:path=>"panel/personal_project/plugin/profile",:front_path=>"panel/personal_project/front_end/profile",:admin_path=>"/panel/personal_project/back_end/projects",:i18n=>'module_name.personal_project'

			version "0.1"
			organization "Rulingcom"
			author "RD dep"
			intro "I am intro"
			update_info 'some update_info'

			front_end do
			  app_page 'projects' do 
			    frontend_i18n "personal_project.frontend.projects"
			  end
			end
		end
  	end
  end
end
